

#~ This file is part of Structure Searchable Chemical Inventory

    #~ It is free software: you can redistribute it and/or modify
    #~ it under the terms of the GNU General Public License as published by
    #~ the Free Software Foundation, either version 3 of the License, or
    #~ (at your option) any later version.

    #~ It is distributed in the hope that it will be useful,
    #~ but WITHOUT ANY WARRANTY; without even the implied warranty of
    #~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    #~ GNU General Public License for more details.

    #~ You should have received a copy of the GNU General Public License
    #~ along with this software.  If not, see <http://www.gnu.org/licenses/>.



set ::log 1; # czy zapisywać tabelę logów
set ::backup_freq 10; # co ile nowych wpisów zapisywać kopię bazy
set ::backup_days 1; # co ile dni zapisywać kopię bazy, jeśli nie ma nowych wpisów
set ::backup_copies 10; # ile kopii ma pozostać 
set ::limit 5; # ilość wyników na stronie
set ::time_limit 60; # ilość minut do wylogowania

set ::dbdir 	 "./Baza-Demo/sql"
set ::backupdir2  "./Baza-Demo/backup"
set ::backupdir "./Baza-Demo/backup"
set ::smilesdir  "./Baza-Demo/smiles"

set ::analysdir "analytical"
set ::molsdir "mols"
set ::imgsdir "images"

#set ::structure_search_type "smiles" ; # smiles albo index
set ::structure_search_type "index" ; # smiles albo index
# Szukanie typu smiles jest wolniejsze, ale nie trzeba 
# po modyfikacji struktur generować za każdym razem indeksu
# szukanie w indeksie jest zdecydowanie szybsze, ale po
# dodaniu struktury czy ich zmianie trzeba wygenerować na nowo indeks.
# Jesli baza jest mała do 1000 struktur, to wystarczy smiles, jesli
# wieksza to lepiej indeksować.


source pl.tcl

