
#~ This file is part of Structure Searchable Chemical Inventory

    #~ It is free software: you can redistribute it and/or modify
    #~ it under the terms of the GNU General Public License as published by
    #~ the Free Software Foundation, either version 3 of the License, or
    #~ (at your option) any later version.

    #~ It is distributed in the hope that it will be useful,
    #~ but WITHOUT ANY WARRANTY; without even the implied warranty of
    #~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    #~ GNU General Public License for more details.

    #~ You should have received a copy of the GNU General Public License
    #~ along with this software.  If not, see <http://www.gnu.org/licenses/>.



set ::hash 0 ; # hash jest używany tylko przy tworzeniu nowego rekordu
proc get_hash  {} {
    if { [var exists hash ] } {
	    set ::hash  [var get hash ] 
	} 
}

set ::dbname ""
proc get_dbname {} {
	if { [var exists dbname] } {
			set ::dbname [string trim [var get dbname] ]
		} 
}

set ::operator ""
proc get_operator {} {
    set ::operator [::db eval "SELECT users.login FROM users INNER JOIN sessions ON users.id = sessions.user_id WHERE sessions.session_id='$::session_id' ; "]  
}



set ::molfile ""
proc get_molfile {} {
	if { [var exists molfile] } {
		set ::molfile  [var get molfile] 
	} 	
}

set ::record_id ""
proc get_record_id {} {
	if { [var exists record_id] } {
		set ::record_id [string trim [var get record_id] ]
	} 	
}

set ::page 1
proc get_page {} {
	if { [var exists page] } {
		set ::page [string trim [var get page] ]
	} 	
}

set ::name ""
proc get_name {} {
	if { [var exists name] } {
		set ::name [string map {"'" "`"} [string trim [var get name] ] ]
	} 	
}
set ::name2 ""
proc get_name2 {} {
	if { [var exists name2] } {
		set ::name2 [string map {"'" "`"} [string trim [var get name2] ] ]
	} 	
}
set ::name3 ""
proc get_name3 {} {
	if { [var exists name3] } {
		set ::name3 [string map {"'" "`"} [string trim [var get name3] ] ]
	} 	
}
set ::CAS ""
proc get_CAS {} {
	if { [var exists CAS] } {
		set ::CAS [string map {"'" "`"} [string trim [var get CAS] ] ]
	} 	
}
set ::MDL ""
proc get_MDL {} {
	if { [var exists MDL] } {
		set ::MDL [string map {"'" "`"} [string trim [var get MDL] ] ]
	} 	
}
set ::cat_number ""
proc get_cat_number {} {
	if { [var exists cat_number] } {
		set ::cat_number [string map {"'" "`"} [string trim [var get cat_number] ] ]
	} 	
}
set ::stock_amount ""
proc get_stock_amount {} {
	if { [var exists stock_amount] } {
		set ::stock_amount [string map {"'" "`" "," "."} [string trim [var get stock_amount] ] ]
	} 	
}
set ::shelf ""
proc get_shelf {} {
	if { [var exists shelf] } {
		set ::shelf [string map {"'" "`"} [string trim [var get shelf] ] ]
	} 	
}
set ::symbol ""
proc get_symbol {} {
	if { [var exists symbol] } {
		set ::symbol [string map {"'" "`"} [string trim [var get symbol] ] ]
	} 	
}
set ::salt ""
proc get_salt {} {
	if { [var exists salt] } {
		set ::salt [string map {"'" "`"} [string trim [var get salt] ] ]
	} 	
}

set ::supplier ""
proc get_supplier {} {
	if { [var exists supplier] } {
		set ::supplier [string map {"'" "`"} [string trim [var get supplier] ] ]
	} 	
}

set ::image ""
proc get_image {} {
	if { [var exists image] } {
		set ::image [string map {"'" "`"} [string trim [var get image] ] ]
	} 	
}

set ::purity ""
proc get_purity {} {
	if { [var exists purity] } {
		set ::purity [string map {"'" "`" "," "."} [string trim [var get purity] ]]
	} 	
}

set ::purity2 ""
proc get_purity2 {} {
	if { [var exists purity2] } {
		set ::purity2 [string map {"'" "`"} [string trim [var get purity2] ]]
	} 	
}
set ::remarks ""
proc get_remarks {} {
	if { [var exists remarks] } {
		set ::remarks [string map {"'" "`"} [string trim [var get remarks] ] ]
	} 	
}
set ::allow_sdf_export 0
proc get_allow_sdf_export {} {
	if { [var exists allow_sdf_export] } {
		set ::allow_sdf_export [string trim [var get allow_sdf_export] ] 
	} 	
}
set ::availability ""
proc get_availability {} {
	if { [var exists availability] } {
		set ::availability [string map {"'" "`"} [string trim [var get availability] ] ]
	} 	
}
set ::quantity1 ""
proc get_quantity1 {} {
	if { [var exists quantity1] } {
		set ::quantity1 [string map {"'" "`" "," "."} [string trim [var get quantity1] ] ]
	} 	
}
set ::quantity2 ""
proc get_quantity2 {} {
	if { [var exists quantity2] } {
		set ::quantity2 [string map {"'" "`" "," "."} [string trim [var get quantity2] ] ]
	} 	
}
set ::quantity3 ""
proc get_quantity3 {} {
	if { [var exists quantity3] } {
		set ::quantity3 [string map {"'" "`" "," "."} [string trim [var get quantity3] ] ]
	} 	
}
set ::price1 ""
proc get_price1 {} {
	if { [var exists price1] } {
		set ::price1 [string map {"'" "`" "," "."} [string trim [var get price1] ] ]
	} 	
}
set ::price2 ""
proc get_price2 {} {
	if { [var exists price2] } {
		set ::price2 [string map {"'" "`" "," "."} [string trim [var get price2] ]]
	} 	
}
set ::price3 ""
proc get_price3 {} {
	if { [var exists price3] } {
		set ::price3 [string map {"'" "`" "," "."} [string trim [var get price3] ]]
	} 	
}

set ::search_for 0
proc get_search_for {} {
	if { [var exists search_for] } {
		set ::search_for [string trim [var get search_for] ]
	} 	
}

set ::function ""
proc get_function {} {
	if { [var exists function] } {
			set ::function [string trim [var get function] ]
		} 
}

set ::search_type ""
proc get_search_type {} {
	if { [var exists search_type] } {
		set ::search_type [string trim [var get search_type] ]
	} 	
}

set ::smiles ""
proc get_smiles {} {
	if { [var exists smiles] } {
		set ::smiles [string trim [var get smiles] ]
	} 	
}


set ::modification_date ""
proc get_modification_date {} {
	if { [var exists modification_date] } {
		set ::modification_date [string trim [var get modification_date] ]
	} 	
}

set ::found_ids ""
proc get_found_ids {} {
	if { [var exists found_ids] } {
		set ::found_ids [string trim [var get found_ids] ]
	} 	
}

set ::invert_search 0
#~ proc get_invert_search {} {
	#~ if { [var exists invert_search] } {
		#~ set ::invert_search [var get invert_search] 
	#~ } 	
#~ }
#~ 
set ::similar_search 0
#~ proc get_similar_search {} {
	#~ if { [var exists similar_search] } {
		#~ set ::similar_search [var get similar_search] 
	#~ } 	
#~ }

set ::code ""
proc get_code {} {
	if { [var exists code] } {
		set ::code [string map {"'" "`"} [string trim [var get code] ] ]
	} 	
}

set ::type ""
proc get_type {} {
	if { [var exists type] } {
		set ::type [string map {"'" "`"} [string trim [var get type] ] ]
	} 	
}

set ::catalog_class ""
proc get_catalog_class {} {
	if { [var exists catalog_class] } {
		set ::catalog_class [string map {"'" "`" "," " " ";" " "} [string trim [var get catalog_class] ] ]
	} 	
}

set ::project ""
proc get_project {} {
	if { [var exists project] } {
		set ::project [string map {"'" "`"} [string trim [var get project] ] ]
	} 	
}

set ::password ""
set ::local_hash "" ; 
proc get_password {} {
    if { [var exists password] } {
	set ::password [var get password] 	
    } 
} 

# login służy do ustawiania loginu dla użytkownika bazy w panelu administracyjnym
set ::login ""
proc get_login {} {
	if { [var exists login] } {
		set ::login [string map {"'" "`" " " "_" ";" "." "\t" "--"} [string trim [var get login] ] ]
	} 	
}

# permission służy do ustawiania uprawnien dla użytkownika bazy w panelu administracyjnym
set ::permission ""
proc get_permission {} {
	if { [var exists permission] } {
			set ::permission [string map {"'" "`"} [string trim [var get permission] ] ]
		} 
}

#~ # służy do sprawdzenia czy sesja użytkownika jest aktywna
#~ set ::session "" ; 
#~ proc get_session {  } {
    #~ catch {set ::session [::db eval "SELECT session FROM users WHERE login='$::operator' ; "]  }
#~ } ; # end proc


set ::session_id ""
proc get_session_id {} {
     set ::session_id  [join [cookie get "$::dbname.session_id"] ]
}

# służy do sprawdzenia czy sesja użytkownika jest aktywna
set ::session "" ; 
proc get_session {  } {    
     catch {set ::session [::db eval "SELECT state FROM sessions WHERE session_id='$::session_id' ; "]  }
} ; # end proc

set ::lang "pl" ; 
proc get_lang {  } {
    # najpierw próbujemy pobrać z bazy
    set problem [ catch {
	set ::lang [::db eval "SELECT lang FROM users WHERE login='$::operator' ; "]  
    } zonk ]
    # jeśli się nie uda, to pobieramy z adresu (teoretycznie tylko dla index.rvt gdzie baza jest niezdefiniowana)
    if { $problem && [var exists lang] } {
		set ::lang  [string map {"'" "`"} [string trim [var get lang] ] ]
    }
    if {$::lang == ""} { set ::lang "pl"}
} ; # end proc

set ::formula ""
proc get_formula {} {
	if { [var exists formula] } {
		set ::formula [string map {"'" "`"} [string trim [var get formula] ] ]
	} 	
}

set ::mol_weight ""
proc get_mol_weight {} {
	if { [var exists mol_weight] } {
		set ::mol_weight [string map {"'" "`"} [string trim [var get mol_weight] ] ]
	} 	
}

set ::mol_weight2 ""
proc get_mol_weight2 {} {
	if { [var exists mol_weight2] } {
		set ::mol_weight2 [string map {"'" "`"} [string trim [var get mol_weight2] ] ]
	} 	
}

set ::temp_at ""
proc get_temp_at {} {
	if { [var exists temp_at] } {
		set ::temp_at [string map {"'" "`"} [string trim [var get temp_at] ] ]
	} 	
}

set ::sdf_file ""
proc get_sdf_file {} {
    if { [var exists sdf_file] } {
	set ::sdf_file [string map {"'" "`"} [string trim [var get sdf_file] ] ]
    } 	
}

set ::order_by ""
proc get_order_by {} {
	if { [var exists order_by] } {
		set ::order_by [var get order_by] 
	} 	
}

set ::redirect_to "index.rvt"
proc get_redirect_to {} {
	if { [var exists redirect_to] } {
		set ::redirect_to [var get redirect_to] 
	} 	
}

array set ::visibility {}
proc get_visibility {  } {
  ::db eval "SELECT name, visible FROM fields"  vis {
	#parray vis
	set ::visibility($vis(name)) $vis(visible)
    }  
} ; # end proc

proc get_script_name { } {
    load_env environment
    #parray environment
    return [file tail $environment(SCRIPT_FILENAME)]
}

proc check_modification_date {} {
    ################################
    # PORÓWNUJEMY OBECNĄ DATE MODYFIKACJI
    # Z POBRANA ZE SKRYPTU
    #################################
    get_modification_date;
    set current_odification_date [join [::db eval "select modification_date from chemicals where id=$::record_id"]]
    if {$::hash == 0 && $current_odification_date != $::modification_date} {
	puts "<center><h2 class='alert'> [mc {MEANWHILE SOMEONE ELSE CHANGED THIS ENTRY}]</h2></center>"
	puts "<p>
	      <b>$::modification_date</b> - [mc {modification time at the beginning of the edition}]  <br>
	      <b>$current_odification_date</b> - [mc {modification time at the write attempt}]
	      </p>"
		
	#window.opener.history.go(0);
	puts "<p><a href='javascript:history.back()'>[mc {Back}]</a> </p>"
	abort_page;
    }
}

proc db_test { } {
    if { $::dbname == ""} {
	puts "<a href=index.rvt?lang=$::lang>[mc {You have to choose a database}]</a>"
	abort_page
    }

    if {! [file exists [file join "$::dbdir" "$::dbname"]]} {
	puts "<h2>[mc {Database %s does not exist} $::dbname]</h2>"
	puts "<a href=index.rvt?lang=$::lang>[mc {SELECT ANOTHER}]</a>"
	abort_page
    }    
}

proc db_open { } {
    set problem [ catch {
	     sqlite3 ::db [file join "$::dbdir" "$::dbname"]
	     ::db timeout 3000	
    } zonk ]

    if { $problem } \
    {	 
	puts "<h2>[mc {Problem accessing database}] $::dbname</h2>"
	puts "<p>problem: $zonk "
	puts "<p>[mc {Trying once again}]"
	# dajemy drugą szansę
	
	after 1000	    
	catch {::db close}
	set problem [ catch {
		 sqlite3 ::db [file join "$::dbdir" "$::dbname"]
		 ::db timeout 3000	
	} zonk ]
	
	if { $problem } \
	{
	    puts "<p>[mc {Problem accessing database}] $::dbname</p>"
	    #puts "<p>problem: $zonk <br>"
	    puts "<a href=index.rvt?session_id=$::session_id&lang=$::lang>[mc {SELECT ANOTHER}]</a>"
	    abort_page
	}
	    
    } ; # end if	
    
}

proc check_host {} {
    
    if {![match "active" $::session] } {     
	puts "<br><center><h2 class=alert>&nbsp; [mc {You have to login to access the database}] &nbsp;</h2>"
	puts "<a href = 'login.rvt?dbname=$::dbname&redirect_to=$::script'>[mc {LOG IN}]</a></center>"
	abort_page 
    }
}


proc db_total { } {
    set problem [ catch {
		     set ::total_records [::db eval "SELECT count() from chemicals ;"]
	    } zonk ]

    if { $problem } \
    {	
	    puts "<h2>$::dbname - [mc {incorrect database}]</h2>"
	    puts "<a href=index.rvt?lang=$::lang>[mc {SELECT ANOTHER}]</a>"
	    abort_page
    } ; # end if
    
}

proc db_login { go_back_to } {
    
    get_session_id 

    if {$::session_id != ""} {
	
	get_operator	
	
	set session_start ""
	# pierwsze czytanie z bazy, jeśli zawiedzie, to znaczy że baza popsuta	    
	set problem [ catch {
			  set session_start [::db eval "SELECT start from sessions WHERE session_id='$::session_id'; "]	
		} zonk ]

	if { $problem } \
	{	
		puts "<h2>$::dbname - [mc {incorrect database}]</h2>"
		puts "problem: $zonk <br>"
		puts "<a href=index.rvt?lang=$::lang>[mc {SELECT ANOTHER}]</a>"
		# baza nie działa więc możemy jedynie wykasować ciasteczka dla pewności
		
		cookie set "$::dbname.session_id" "" -days "-10"
		abort_page

	} ; # end if

	if {$session_start == ""} {set session_start 0}
	set now [clock seconds]
	set diff [expr {$now - $session_start}]
	set limit [expr {$::time_limit * 60}]
	if {$diff < $limit} {


	    catch { 
		::db eval "UPDATE sessions SET state='db_login: active prolonged', start='$now' WHERE session_id='$::session_id' ; " 
		cookie set "$::dbname.session_id" "$::session_id" -minutes $::time_limit 
	    }
	    #~ puts "prolonged"
	    #~ abort_page
	    
	} else {	    
	    catch { 	    
		#~ ::db eval "UPDATE sessions SET state='db_login: time limit', session_id='X', start=0  WHERE session_id='$::session_id' ; "
		cookie set "$::dbname.session_id" "" -days "-10"
		::db eval "DELETE FROM sessions WHERE session_id='$::session_id' ; "
	    }
	    #~ puts "limit przekroczony"
	    #~ abort_page
	}
    }  
	
}

proc draw_headings {} {
  puts "<tr class='heading'>
	<td><b>#</b></td>
	
      <td><b>
      <a title='[mc {recently modified first}]' class='nounder' href=\"javascript:sort_by(' ORDER BY modification_date DESC ')\">▲</a>
       [mc Structure]
       <a title='[mc {recently modified last}]' class='nounder' href=\"javascript:sort_by(' ORDER BY modification_date ASC ')\">▼</a>
       </b></td>
       
      <td><nobr><b> 
      <a title='[mc {sort by name}]' class='nounder' href=\"javascript:sort_by(' ORDER BY name ASC ')\">▲</a> 
       [mc Name]
       <a title='[mc {sort by name}]' class='nounder' href=\"javascript:sort_by(' ORDER BY name DESC ')\">▼</a>
        &nbsp;&nbsp;
	<a title='[mc {sort by mol. weight ascending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY mol_weight ASC ')\">▲</a>
	[mc Mass]
	<a title='[mc {sort by mol. weight descending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY mol_weight DESC ')\">▼</a> 
	&nbsp;&nbsp;
	<a title='[mc {sort by shelf ascending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY shelf ASC ')\">▲</a> 
       [mc Shelf]    
      <a title='[mc {sort by shelf descending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY shelf DESC ')\">▼</a> 
	</b></nobr>	
	</td>
      
      <td>
      <b>
      <a title='[mc {sort by cat# ascending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY cat_number ASC ')\">▲</a>
      [mc {Cat #}]
      <a title='[mc {sort by cat# descending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY cat_number DESC ')\">▼</a>
      </b>
      </td>
      
      <td><b>
      <a title='[mc {sort by purity ascending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY purity ASC ')\">▲</a>
      [mc {Purity}]
      <a title='[mc {sort by purity descending}]' class='nounder' href=\"javascript:sort_by(' ORDER BY purity DESC ')\"> ▼</a>
      </b></td>
      
      <td><b>[mc Remarks]</b></td>
      <td><b>[mc Price]</b></td>      
      </tr>"     
}

proc draw_navi {pages} {
    if {$pages == 0} {set pages 1}
    puts "<nobr>"
    if {$::page > 1} {
	puts "<a class='nounder' href=\"javascript:goto_page(1, '$::search_for')\">\[ 1 \]</a> &nbsp;"
	set next [expr {$::page -1 }]
	puts "<a class='nounder' title='[mc {previous page}]' href=\"javascript:goto_page($next, '$::search_for')\">◄◄</a>"
    } else { puts {[ 1 ] &nbsp; ◄◄} } 
    puts "&nbsp; [mc page]  "
    # robimy wyrównanie spacjami
    set len_all  [string length $pages]
    set len_page [string length $::page]
    for {set i $len_page} {$i < $len_all} {incr i} \
    {
	puts {&nbsp;}
    } ; # end for
    puts "$::page &nbsp; "
    if {$::page < $pages} {
	set next [expr {$::page +1 }]
	puts "<a class='nounder' title='[mc {next page}]' href=\"javascript:goto_page($next, '$::search_for')\">►►</a>"
	puts "&nbsp; <a class='nounder' href=\"javascript:goto_page($pages, '$::search_for')\">\[ $pages \]</a>"
    } else {puts "►► &nbsp; \[ $pages \]"}
    puts "</nobr>"    
}

proc define_popup {} {
    puts "    
	<script>
	function popup(url) {
	    newwindow=window.open(url,'editor','height=690, width=900, toolbar=0, menubar=0, scrollbars=1, location=0, status=0' );
	    newwindow.focus();
	}
	</script>    
    "
}

proc define_label_popup {} {
    puts "    
	<script>
	function label_popup(url) {
	    label_window=window.open(url,'label','height=500, width=600, toolbar=0, menubar=0, scrollbars=1, location=0, status=0, top=100, left=250' );
	    label_window.focus();
	}
	</script>    
    "
}

proc draw_records { query {allow_delete ""} } {
    define_popup
    define_label_popup
    #get_session    
    set row [expr {$::offset + 1}] ;
    array set record {}
    ::db eval "$query" record {
	set mol  [string map {"\n" "\\n" "\r" ""} $record(molfile) ]
	set class "rows"
	set trick [expr $row % 2] ; # sztuczka zeby byly dwukolorowe wiersze
	append class $trick
	if  {$record(availability) != "" && ![match "stock" $record(availability)]} {
	    set class "hypothetical"
	}	
	set checked ""
	if {$record(allow_sdf_export)} {
	    set checked "checked"
	}
	#puts "<tr onmouseover=\"this.className='select';\" onmouseout=\"this.className='$class';\" class='$class'>" 
	puts "<tr  class='$class'>" 
	puts "<td title='[mc entry] $record(id)' class=small>$row</td> 
	      <td title='[mc Edit]'>"
	if { ( $record(smiles) == "" || $record(smiles) == "C") 
	    && $record(image) != "" && [file exists "schem/$record(image)"] } {    
	   
		puts "<a href=\"javascript:popup('edit.rvt?dbname=$::dbname&record_id=$record(id)')\"><img src='schem/$record(image)'></a>"	    
	    
	}  else {
	    puts "<script>
	    var hlink$row = new ChemDoodle.HyperlinkCanvas('hlink$row', 120, 80, \"javascript:popup('edit.rvt?dbname=$::dbname&record_id=$record(id)')\", '#CCDDEE');
	    hlink$row.openInNewWindow = false;
	    hlink$row.specs.atoms_useJMOLColors = true;
	    var mol = ChemDoodle.readMOL('$mol');"
	    puts {
	    ChemDoodle.ELEMENT['S'].jmolColor = '#B0A000';
	    ChemDoodle.ELEMENT['Si'].jmolColor = 'SaddleBrown';
	    ChemDoodle.ELEMENT['H'].jmolColor = '#999999';
	    ChemDoodle.ELEMENT['C'].jmolColor = 'black';
	    ChemDoodle.ELEMENT['Ce'].jmolColor = 'black';
	    ChemDoodle.ELEMENT['Pt'].jmolColor = 'black';
	    mol.scaleToAverageBondLength(10);
	    }
	    puts "
	    hlink$row.specs.atoms_font_size_2D = 10;
	    hlink$row.specs.atoms_displayTerminalCarbonLabels_2D = false;
	    hlink$row.loadMolecule(mol);
	    </script>"   
	    
	}    

	
	puts "</td> "
	#~ if { [string length $record(name)] > 53 } {
	    #~ set name [string range $record(name) 0 50]
	    #~ append name "..."
	#~ } else { set name $record(name) }
	puts "<td class=small >"
	    if {$record(name) != ""} {puts "<b>[mc name]</b>: <span class=name>$record(name)</span> <br>"}
	    if {$record(salt) != ""} {puts "<b>[mc salt]</b>: <span class=salt>$record(salt)</span><br> "}
	    if {$record(mol_weight) != 0} {
		catch { puts [format "<nobr><b>[mc mass]</b>: %.2f</nobr> <br>" $record(mol_weight)] }
	    }
	    if {$record(formula) != ""} {puts "<b>[mc formula]</b>: $record(formula) <br>"}
	    if {$record(CAS) != ""} {puts "<nobr><b>CAS</b>: $record(CAS)</nobr> <br>"}
	    if {$record(MDL) != ""} {puts "<b>MDL</b>: $record(MDL) <br>"}
	  puts "</td>"
	  
	  puts "<td class=small>"
	  
	    if {$record(stock_amount) != ""} { puts "<b>[mc amount]</b>: <span class=amount>$record(stock_amount)</span><br>"}
	    if {$record(supplier) != ""} {puts "<nobr><b>[mc supl]</b>: <span class=producer>$record(supplier)</span></nobr><br>"}
	    if {$record(shelf) != ""} { puts "<b>[mc shelf]</b>: <span class=shelf>$record(shelf)</span><br>"}
	    if {$record(availability) != ""} { puts "<b>[mc avail.]</b>: <span class=availability>$record(availability)</span><br>"}
	    if {$record(cat_number) != ""} {puts "<nobr><b>[mc {cat#}]</b>: <span class=cat>$record(cat_number)</span></nobr><br> "  }
	  puts "</td> "
	  
    
	  puts "<td class=small>"
	  
	    if { $record(analytical) != ""} {
		  set file [file join "$::analysdir" "$::dbname" "$record(id)-$record(analytical)"]
		  if { [file readable "$file"] } {
		      puts "<nobr><a href='$file' title='[mc {Get analytical data} ]'><b>[mc purity]</b>: $record(purity)%</a></nobr>"
		  } else { puts "<nobr><b>[mc purity]</b>: $record(purity)%</nobr>" }	      
	    } elseif {$record(purity) != 0} { puts "<nobr><b>[mc purity]</b>: $record(purity)%</nobr>" }
	    
	    puts "<br>"
	    
	    if {$record(symbol) != ""} {puts "<nobr><b>symb</b>: $record(symbol)</nobr><br>"}
	    if {$record(project) != ""} {puts "<nobr><b>proj</b>: <span class=project>$record(project)</span></nobr><br>"}
	    if {$record(type) != ""} {puts "<nobr><b>[mc type]</b>: $record(type)</nobr><br>"}	    
	    if {$record(code) != ""} {puts "<nobr><b>kod</b>: $record(code)</nobr><br>"}
	    if {$checked == "checked"} {
		  puts "<nobr><span class=alert>[mc public]</span>"
		  puts "<input type='checkbox' disabled='disabled' name='allow_sdf_export' $checked value='1'/>"
		  puts "</nobr>"
	    }
	  
	  puts "</td>"
	  	  
	  puts "<td class=small>"
	  
	    if {$record(name2) != ""} {puts "$record(name2) <br>"}
	    if {$record(name3) != ""} {puts "$record(name3) <br>"}
	    if {$record(temporarily_at) != ""} {puts "<br><b>[mc {taken by}]: <span class=alert>$record(temporarily_at)</span></b><br>"}
	    if {$record(remarks) != ""} {puts "<br><i><span class=remarks>$record(remarks)</span></i><br>"}
	    puts "<small>"
	    if {$record(smiles)!=""} {
		puts "<br>[mc Label] 
		<a title='Advamacs' href=\"javascript:label_popup('label.rvt?dbname=$::dbname&record_id=$record(id)')\">\[A\]</a> 
		<a title='TriMen Scientific' href=\"javascript:label_popup('label.rvt?dbname=$::dbname&record_id=$record(id)&function=trimensci')\">\[T\]</a> | "
	    }
	    puts "<a href=\"javascript:popup('edit.rvt?dbname=$::dbname&record_id=$record(id)')\">[mc Edit]</a>"
	    if {$allow_delete == "allow_delete" && [match "active" $::session] && [match "delete" $::operator_permission] } {
		puts " | <a href='javascript:delete_record($record(id))'>[mc {Delete entry}]</a>"
	    }
	    puts "</small>"
	      
	puts "<td class=small>"
	     if {$record(quantity1) != "" && $record(price1) != ""} {
		    
		    puts  "<nobr>$record(quantity1) - $record(price1)€</nobr>"
		    puts  "<br>"
		}
		#--------------------------
		if {$record(quantity2) != "" && $record(price2) != ""} {
		   
		    puts  "<nobr>$record(quantity2) - $record(price2)€</nobr>"
		    puts  "<br>"
		}
		 #--------------------------
		if {$record(quantity3) != "" && $record(price3) != ""} {
		    
		    puts  "<nobr>$record(quantity3) - $record(price3)€</nobr>"
		    
		}    
		
	puts "</td>
	</tr>"
	incr row
    }      
}

proc urlEncode {str} {
    set uStr [encoding convertto utf-8 $str]
    set chRE {[^-A-Za-z0-9._~\n]};		# Newline is special case!
    set replacement {%[format "%02X" [scan "\\\0" "%c"]]}
    return [string map {"\n" "%0A"} [subst [regsub -all $chRE $uStr $replacement]]]
}

proc generate_SDF { query } \
{	
    #get_session
    if {[match "active" $::session] && [match "sdf" $::operator_permission]} {
	array set record {}
	set filename "$::dbname-[clock milliseconds].sdf"
	set sdf "/tmp/$filename"
	set out [open $sdf w] 
	set id_list "";
	
	set now2 [clock format [clock seconds] -format "%Y-%b-%d %H:%M"];
	set now1 [clock format [clock seconds] -format "%m%d%y%H%M"];
	
	::db eval "$query"  record {
	    if {$record(allow_sdf_export) == 1 
		&& $record(smiles) != "" 
		&& $record(smiles) != "C"
		&& $record(cat_number) != ""} \
	    {
		    
		    set splitted_mol [split [string map {"\r" ""} $record(molfile)] "\n"]
		    
		    set len [llength $splitted_mol]
		    
		    puts $out "[string range $record(name) 0 79 ]"
		    puts $out "wmadvamacs${now1}2D"
		    puts $out "dated $now2 - for current data visit http://advamacs.com"
		    
		    for {set i 3} {$i < $len} {incr i} {
			puts $out [lindex $splitted_mol $i]
		    } ; # end for
		    
		    #puts $out $record(molfile)		    
		    
		    #------------------------
		    puts $out ">  <cat#>"
		    puts $out "$record(cat_number)"
		    puts $out ""
		    #------------------------
		    #puts $out ">  <formula> for free compound"
		    #puts $out "$record(formula)"
		    #puts $out ""
		    #----------------------
		    if {$record(name) != ""} {
			
			set name $record(name)
			
			if {$record(salt) != "" && ![match $record(salt) $name] } {
			    append name " $record(salt)"			    
			}
			
			puts $out ">  <name>"
			puts $out "[string range $name 0 199 ]"
			puts $out ""
		    }
		    #------------------------
		    #if {$record(name2) != ""} {
		    #    puts $out ">  <name2>"
		    #   puts $out "[string range $record(name2) 0 199 ]"
		    #    puts $out ""
		    #}
		    #-------------------------
		    # NAZWY POLSKIEJ NIE PODAJEMY
		    #if {$record(name3) != ""} {
		     #   puts $out ">  <name3>"
		    #    puts $out "[string range $record(name3) 0 199 ]"
		    #    puts $out ""
		    #}
		    #--------------------------
		    #if {$record(salt) != ""} {
			#puts $out ">  <salt>"
			#puts $out "$record(salt)"
			#puts $out ""
		    #}
		    #---------------------------
		    if {$record(CAS) != ""} {
			puts $out ">  <CAS>"
			puts $out "$record(CAS)"
			puts $out ""
		    }
		    #---------------------------
		    if {$record(MDL) != ""} {
			puts $out ">  <MDL>"
			puts $out "$record(MDL)"
			puts $out ""
		    }
		    #---------------------------
		    #if {$record(purity) != ""} {
		    #    puts $out ">  <purity>"
		     #   puts $out "$record(purity) %"
		    #    puts $out ""
		    #}
		    #---------------------------
		    if {$record(quantity1) != "" && $record(price1) != ""} {
			puts $out ">  <price_1>"
			puts $out "$record(price1) EUR"
			puts $out ""
			
			puts $out ">  <size_1>"
			if {[match "mg" $record(quantity1)] && ![match " mg" $record(quantity1)]} {
			    set size_1 [string map {"mg" " mg"} $record(quantity1)]
			} elseif {[match "g" $record(quantity1)] && ![match " g" $record(quantity1)]} {
			    set size_1 [string map {"g" " g"} $record(quantity1)]
			}
			puts $out "$size_1"
			puts $out ""
		    }
		    #--------------------------
		    if {$record(quantity2) != "" && $record(price2) != ""} {
			puts $out ">  <price_2>"
			puts $out "$record(price2) EUR"
			puts $out ""
			
			puts $out ">  <size_2>"
			if {[match "mg" $record(quantity2)] && ![match " mg" $record(quantity2)]} {
			    set size_2 [string map {"mg" " mg"} $record(quantity2)]
			} elseif {[match "g" $record(quantity2)] && ![match " g" $record(quantity2)]} {
			    set size_2 [string map {"g" " g"} $record(quantity2)]
			}
			puts $out "$size_2"
			puts $out ""
		    }
		     #--------------------------
		    if {$record(quantity3) != "" && $record(price3) != ""} {
			puts $out ">  <price_3>"
			puts $out "$record(price3) EUR"
			puts $out ""
			
			puts $out ">  <size_3>"
			if {[match "mg" $record(quantity3)] && ![match " mg" $record(quantity3)]} {
			    set size_3 [string map {"mg" " mg"} $record(quantity3)]
			} elseif {[match "g" $record(quantity3)] && ![match " g" $record(quantity3)]} {
			    set size_3 [string map {"g" " g"} $record(quantity3)]
			}
			puts $out "$size_3"
			puts $out ""
		    }
		    #------------------------
		    puts $out ">  <item_URL>"
		    puts $out "http://advamacs.com/show-item.html?cat_number=$record(cat_number)"
		    puts $out ""
		    
		    
		    puts $out "$$$$"
		    
		    # tworzymy listę rekordów wyeksportowanych, 
		    # żeby zapisać w nich datę.
		    # Próba zapisywania daty od razu 
		    # w tym miejscu była
		    # strasznie NIEWYDAJNA.
		    
		    lappend id_list $record(id);

	    }; # end if	    
	} ; # end record
	flush $out
	close $out
	
	log "SDF" "$::operator"
	
	# zapisujemy datę eksportu w odpowiednich rekordach
	set now [clock format [clock seconds] -format "%Y-%m-%d %H:%M:%S"]; 
	set range [join $id_list ","]
	::db eval "update chemicals set sdf_export_date='$now' where id in ($range) ;"
	
	
	# gdy sdf gotowy nakierowujemy na niego przegladarkę
	headers add Refresh "0; url=sdf-send.rvt?sdf_file=$filename&dbname=$::dbname"
	
    }
    
   
} ; # end proc


proc log {operation {operator ""} {table_name ""} {external_id ""} {remark ""}} { 
    if { $::log && [file writable [file join "$::dbdir" "$::dbname"] ] }  {
	
	 ::db eval "INSERT INTO log (ip_address, operation, operator, table_name,   external_id, remark)
			VALUES ('$::IP', '$operation', '$operator', '$table_name', '$external_id', '$remark')" 
    }       
}

set ::operator_permission ""
proc get_operator_permission {  } {    
    set ::operator_permission [::db eval "SELECT permission from users WHERE login='$::operator'"]
} ; # end proc

proc get_IP {  } {
    load_env request
    #parray request
    return $request(REMOTE_ADDR)
} ; # end procget_ip

proc match { needle haystack } {
    set first [string first $needle $haystack]
    #puts "$first $needle $haystack"
    if {$first < 0} {
	return false
    } else {return true}
}

set ::bg_color "#ffffff" ; # zmienimy w zależności od hosta, 
# żeby nam się nie myliły bazy jeśli pracujemy na różnych hostach
proc set_bg_color {} { 
    #~ catch {   
	#~ set f [open "/etc/HOSTNAME"]
	#~ set hostname [read $f]
	#~ close $f    
	#~ if { [match men6 $hostname ] } {
	    #~ set ::bg_color "white"
	#~ }
    #~ }
}

proc backup { {wait ""} } {
    if { [file writable "$::backupdir"] } {	
	# najpierw kasujemy stary wpis, żeby spokojnie puscic w tle na końcu gzip
	set backup_list ""
	catch { set backup_list [lsort -increasing [glob -tails -directory "$::backupdir" "$::dbname*gz" ] ] }
	#puts $backup_list
	
	if { [llength $backup_list] >= $::backup_copies } {
	    #puts "deleting [lindex $backup_list 0]"
	    catch { file delete [file join "$::backupdir" [lindex $backup_list 0] ] }
	} 
	
	set now [clock format [clock seconds] -format "%Y-%m-%d_%H:%M"]; 
	catch {
	    file copy -force [file join "$::dbdir" "$::dbname"] [file join "$::backupdir" "$::dbname-$now"]
	    log "BACKUP" 
	    if {$wait == "wait"} {
		#puts "waiting for backup"
		exec gzip [file join "$::backupdir" "$::dbname-$now"] 		
	    } else {
		# UWAGA - puszczamy w tle zatem należy uważać, żęby nie było konkurencji
		#puts "in background"
		exec gzip [file join "$::backupdir" "$::dbname-$now"] &
	    }
	}

    }; #endif    
}


proc get_agent {  } {
    load_env request
    #parray request
    if {[info exists request(HTTP_USER_AGENT)]} {
	return $request(HTTP_USER_AGENT)
    } else {return "Undefined"}
} ; # end procget_ip

proc browser_OK {  } {
    if { ([match "MSIE 6" $::http_agent] 
	 || [match "MSIE 7" $::http_agent] 
	 || [match "MSIE 8" $::http_agent]
	 || [match "Konqueror" $::http_agent]
	 || ([match "Safari" $::http_agent] && [match "Windows" $::http_agent] ) ) 
	&& ![match "chrome" $::http_agent]
	 && ![match "Chrome" $::http_agent]} {
	return false
    } else { return true }    
} ; # end proc

proc browser_alert {} {
    puts "
	<span class=alert><b>
	[mc {Your browser probably will not display the structures correctly}]!</b></span>
	<br>
	<span class=small>[mc Install] <a target=_top href='http://www.google.com/chromeframe/'>
	Google Chrome Frame plug-in</a> [mc {or use a different browser}]: <a target=_top href='http://www.firefox.com/'>Firefox</a>, <a target=_top href='http://www.opera.com/'>Opera</a>, 
	<a target=_top href='http://www.google.com/Chrome'>Google Chrome</a>.<br>
	 </span>
    "
}

proc insert_icons {} {
    puts {	
	<link rel="SHORTCUT ICON" href="icon.ico"/>	
	<link rel="BOOKMARK ICON" href="icon.ico"/>			
    }     
}

proc insert_header {} {
    puts {
	<meta http-equiv="X-UA-Compatible" content="chrome=1">
	<link rel="stylesheet" href="./install/ChemDoodleWeb.css" type="text/css">
	<script type="text/javascript" src="./install/ChemDoodleWeb-libs.js"></script>
	<script type="text/javascript" src="./install/ChemDoodleWeb.js"></script>
	<link rel="stylesheet" href="./install/sketcher/jquery-ui-1.9.2.custom.css" type="text/css">
	<script type="text/javascript" src="./install/sketcher/jquery-ui-1.9.2.custom.min.js"></script>
	<script type="text/javascript" src="./install/sketcher/ChemDoodleWeb-sketcher.js"></script>
    }
    
}


set ::IP [get_IP]
set ::http_agent [get_agent]

source config.tcl


